OpenNMS API 1.2.9

## org.opennms.netmgt.eventd.jmx
Class Eventd

    java.lang.Object
      org.opennms.netmgt.eventd.jmx.Eventd

All Implemented Interfaces:
  EventdMBean

public class Eventd
extends java.lang.Object
implements EventdMBean

Constructor Summary
`Eventd()`

Method Summary
`int` `getStatus()`
`java.lang.String` `getStatusText()`
`void` `init()`
`void` `start()`
`java.lang.String` `status()`
`void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Eventd

    public Eventd()

Method Detail

### init

    public void init()

  Specified by:
    `init` in interface `EventdMBean`

### start

    public void start()

  Specified by:
    `start` in interface `EventdMBean`

### stop

    public void stop()

  Specified by:
    `stop` in interface `EventdMBean`

### getStatus

    public int getStatus()

  Specified by:
    `getStatus` in interface `EventdMBean`

### status

    public java.lang.String status()

  Specified by:
    `status` in interface `EventdMBean`

### getStatusText

    public java.lang.String getStatusText()

  Specified by:
    `getStatusText` in interface `EventdMBean`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.